#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	URI
%define		pnam	URI
Summary:	URI - Uniform Resource Identifiers (absolute and relative)
Summary(pl.UTF-8):	URI - obsługa ujednoliconych identyfikatorów zasobów (bezwzględnych i względnych)
Summary(ru.UTF-8):	URI - Uniform Resource Identifier (URI) ссылки, как указывает RFC 2396
Summary(uk.UTF-8):	URI - посилання Uniform Resource Identifier (URI) як визначено в RFC 2396
Name:		perl-URI
Version:	1.74
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/URI/%{pnam}-%{version}.tar.gz
# Source0-md5:	892f7183b178af40f205ba37128225db
URL:		http://search.cpan.org/dist/URI/
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl-Encode
BuildRequires:	perl-MIME-Base64 >= 2
BuildRequires:	perl-Test-Needs
BuildRequires:	perl-Test-Simple >= 0.96
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the URI.pm module with friends. The module
implements the URI class. Objects of this class represent Uniform
Resource Identifier (URI) references as specified in RFC 2396.

%description -l ru.UTF-8
Этот пакет содержит URI.pm и сопутствующие модули. Модуль реализует
Uniform Resource Identifier (URI) ссылки, как указывает RFC 2396.

%description -l pl.UTF-8
Ten pakiet zawiera moduł URI dla Perla. Służy on do obróbki
ujednoliconych identyfikatorów zasobów (URI - Uniform Resource
Identifier), zgodnych z RFC 2396.

%description -l pt_BR.UTF-8
Módulo Perl URI - Este pacote contém o modulo URI.pm para manipular
"Uniform Resource Identifier" (URI) confirme especificado na RFC 2396.

%description -l uk.UTF-8
Цей пакет містить URI.pm та потрібні для нього модулі. Модуль реалізує
посилання Uniform Resource Identifier (URI) як зазначено в RFC 2396.

%prep
%setup -q -n %{pnam}-%{version}
%{__mv} t/heuristic.t{,.blah}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/URI
%{perl_vendorlib}/URI.pm
%{_mandir}/man3/URI*.3pm*
%changelog
* Sat Sep 29 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-URI.git;a=log;h=master

* Sat Sep 29 2018 Jakub Bogusz <qboosh@pld-linux.org> c0a147c
- updated to 1.74

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 5edeb2e
- updated to 1.71

* Tue Jan 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 345a47b
- updated to 1.69
- Business::ISBN is no longer detected as dependency

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> b60c250
- updated to 1.64

* Fri Jun 01 2012 Jakub Bogusz <qboosh@pld-linux.org> c6405f3
- updated to 1.60

* Thu Nov 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 2fa6b49
- updated to 1.59

* Mon Jan 24 2011 Caleb Maclennan <caleb@alerque.com> 0c7992a
- Up to 1.58

* Mon Dec 06 2010 Jakub Bogusz <qboosh@pld-linux.org> 8263284
- unified

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> af4187e
- Up to 1.56

* Wed May 19 2010 sparky <sparky@pld-linux.org> 7b9df45
- tests BR: perl-Encode

* Wed May 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 2bc195c
- updated to 1.54

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 5b492d2
- updated to 1.40

* Fri Jul 18 2008 Adam Gołębiowski <adamg@pld-linux.org> ce4551b
- updated to 1.37

* Mon Mar 03 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 85c2a96
- rel.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0b21219
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c70f32e
- converted to UTF-8

* Mon Oct 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 728e293
- added URL

* Tue May 10 2005 Adam Gołębiowski <adamg@pld-linux.org> 3e08b41
- release 2 for Th

* Fri Dec 03 2004 radek <radek@pld-linux.org> c67cd15
- autoupdated to 1.35

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> b2f0a7f
- formatting

